﻿using System;
using System.Collections.Generic;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace CalendarMVVMTest
{
	public partial class CalendarMVVMTestPage : ContentPage
	{
		
		List<DateTime> listOfDates = new List<DateTime>();
		bool isMonthChanged = true;
		DateTime curentMonth;
		int count = 0;

		public CalendarMVVMTestPage()
		{
			InitializeComponent();
			cal.OnMonthCellLoaded += Cal_OnMonthCellLoaded;

		}



		void Cal_OnMonthCellLoaded(object sender, MonthCell args)
		{
			count++;
			if (isMonthChanged)
			{
				isMonthChanged = false;
				if (Device.RuntimePlatform == Device.Android)
					curentMonth = args.Date.AddDays(21);
				else if(Device.RuntimePlatform==Device.iOS)
					curentMonth = args.Date.AddDays(-21);
			}
			if (args.Date.Month != curentMonth.Month)
			{
				args.View = new Grid();
			}
			if (count == 42)
			{
				isMonthChanged = true;
				count = 0;
			}
		}




	
	}

}
